unit SampleID;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, IniFiles, Menus, Grids, ExtCtrls, Mask,  ComCtrls,
  DB, DBTables, DBCtrls, DBGrids, Report,
  Outline, DBCGrids, DBLookup, Tabs, Tabnotbk, FileCtrl,
  MPlayer, OleCtnrs, DdeMan, OleCtrls, ChartFX, VCFImprs, VCFrmla1, VCSpell,
  GraphSvr, Calendar, DirOutln, Spin, ColorGrd, Gauges,
  HLIDE, HLTbNtBk;

type
  TSampleIDf = class(TForm)
    BitBtn1: TBitBtn;
    HLIDE1: THLIDE;
    Button1: TButton;
    Button2: TButton;
    BitBtn2: TBitBtn;
    Button3: TButton;
    Button4: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    procedure RegComp;
    procedure ReadDcrFiles;
  protected
  public
  end;

var
  SampleIDf: TSampleIDf;

implementation

{$R *.DFM}

uses DsgnIntf, TypInfo, Consts, HLStrEdt,
  {StdReg}
  PageEdit, MnuBuild, MaskText, MaskProp, PicEdit,
  SBarEdit, ColEdit, ItemEdit, ImgList, NodeEdit, HCtlEdit, LibConst,
  {DBReg}
  DBConsts, HLDSDsgn, DBEdit, FldLinks,
  EditIntf, ExptIntf, ToolIntf, QBE, QBindDlg, ProcDlg,
  IxEdit, dbColEdt, DbxTarg, UpdSqlEd, DbXPlor, DBExpt, DBInpReq,
  {Win32Reg}
  Win31Reg, NoteBReg,
  {SysReg}
  FiltEdit,
  {DDEReg}
  DDEReg,
  {IBReg}
  IBEvnts, IBCtrls,
  {HRepReg}
  HRClass, HRCommon, HRCtrlsC, HRLinkC, HRRichC, HRGridC, HROleC, HRPrtC, HReport,
  HRPreVC, HRPreVU, HRepreg,
  {HLibReg}
  HLObjIns, SampleTN;

{/////////////////////////////////////////////////////////}

{$I StdReg.Inc}
{$I DBReg.Inc}
{$I OleReg.Inc}
{$I IBReg.Inc}

{end Reg}

procedure TSampleIDf.RegComp;
begin
  {StdReg}
  RegisterComponents(LoadStr(srStandard), [TMainMenu, TPopupMenu, TLabel,
    TEdit, TMemo, TButton, TCheckBox, TRadioButton, TListBox, TComboBox,
    TScrollBar, TGroupBox, TRadioGroup, TPanel]);

  RegisterComponents(LoadStr(srAdditional), [TBitBtn, TSpeedButton,
    TMaskEdit, TStringGrid, TDrawGrid, TImage, TShape, TBevel,
    TScrollBox]);

  RegisterComponents(LoadStr(srWin95), [TTabControl, TPageControl,
    TTreeView, TListView, TImageList, THeaderControl, TRichEdit,
    TStatusBar, TTrackBar, TProgressBar, TUpDown, THotKey]);

  RegisterClasses([TTabSheet]);

  RegisterNoIcon([TMenuItem]);

  RegisterComponentEditor(TMenu, TMenuEditor);
  RegisterComponentEditor(TImage, TGraphicEditor);

  RegisterComponentEditor(TPageControl, TPageControlEditor);
  RegisterComponentEditor(TTabSheet, TPageControlEditor);
  RegisterComponentEditor(TImageList, TImageListEditor);

  RegisterPropertyEditor(TypeInfo(string), TCustomMaskEdit, 'EditMask', TMaskProperty);
  RegisterPropertyEditor(TypeInfo(string), TCustomMaskEdit, 'Text', TMaskTextProperty);

  RegisterPropertyEditor(TypeInfo(TTabSheet), TPageControl, 'ActivePage', TActivePageProperty);
  RegisterPropertyEditor(TypeInfo(TStatusPanels), nil, '', TStatusPanelsProperty);
  RegisterPropertyEditor(TypeInfo(THeaderSections), nil, '', THeaderSectionsProperty);
  RegisterPropertyEditor(TypeInfo(TListColumns), nil, '', TListColumnsProperty);
  RegisterPropertyEditor(TypeInfo(TListItems), nil, '', TListItemsProperty);
  RegisterPropertyEditor(TypeInfo(TTreeNodes), nil, '', TTreeNodesProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), nil, '', TStringsProperty);
  {DBReg}
  RegisterComponents(LoadStr(srDAccess), [TDataSource, TTable, TQuery,
    TStoredProc, TDatabase, TSession, TBatchMove, TUpdateSQL]);
  RegisterComponents(LoadStr(srDControls), [TDBGrid, TDBNavigator, TDBText,
    TDBEdit, TDBMemo, TDBImage, TDBListBox, TDBComboBox, TDBCheckBox,
    TDBRadioGroup, TDBLookupListBox, TDBLookupComboBox]);
  RegisterComponents(LoadStr(srDAccess), [TReport]);
  RegisterComponents(LoadStr(srDControls), [TDBCtrlGrid]);
  RegisterComponents(LoadStr(srWin31), [TDBLookupList, TDBLookupCombo]);

  RegisterNoIcon([TField]);
  RegisterFields([TStringField, TIntegerField, TSmallintField, TWordField,
    TFloatField, TCurrencyField, TBCDField, TBooleanField, TDateField,
    TVarBytesField, TBytesField, TTimeField, TDateTimeField,
    TBlobField, TMemoField, TGraphicField, TAutoIncField]);
  RegisterPropertyEditor(TypeInfo(TDataSet), TDataSource, 'DataSet', TDataSetProperty);
  RegisterPropertyEditor(TypeInfo(TDataSource), TTable, 'MasterSource', TDataSourceProperty);
  RegisterPropertyEditor(TypeInfo(TDataSource), TQuery, 'DataSource', TDataSourceProperty);
  RegisterPropertyEditor(TypeInfo(string), TDatabase, 'AliasName', TAliasNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TDatabase, 'DriverName', TDriverNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TDatabase, 'SessionName', TSessionNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TDBDataSet, 'SessionName', TSessionNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TDBDataSet, 'DatabaseName', TDatabaseNameProperty);
  RegisterPropertyEditor(TypeInfo(TDataSetUpdateObject), TDataSet, 'UpdateObject', TComponentProperty);
  RegisterPropertyEditor(TypeInfo(string), TTable, 'TableName', TTableNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TTable, 'IndexName', TIndexNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TTable, 'IndexFieldNames', TIndexFieldNamesProperty);
  RegisterPropertyEditor(TypeInfo(string), TField, 'KeyFields', TLookupSourceProperty);
  RegisterPropertyEditor(TypeInfo(string), TField, 'LookupKeyFields', TLookupDestProperty);
  RegisterPropertyEditor(TypeInfo(string), TField, 'LookupResultField', TLookupDestProperty);
  RegisterPropertyEditor(TypeInfo(string), TComponent, 'DataField', TDataFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), TDBLookupControl, 'KeyField', TListFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), TDBLookupControl, 'ListField', TListFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), TWinControl, 'LookupField', TLookupIndexProperty);
  RegisterPropertyEditor(TypeInfo(string), TWinControl, 'LookupDisplay', TLookupFieldProperty);
  RegisterPropertyEditor(TypeInfo(string), TDBEdit, 'EditMask', TMaskProperty);
  RegisterPropertyEditor(TypeInfo(string), TField, 'EditMask', TMaskProperty);
  RegisterPropertyEditor(TypeInfo(string), TReport, 'ReportDir', TReportDirProperty);
  RegisterPropertyEditor(TypeInfo(string), TReport, 'ReportName', TReportNameProperty);
  RegisterComponentEditor(TReport, TReportEditor);
  RegisterPropertyEditor(TypeInfo(string), TTable, 'MasterFields', TFieldLinkProperty);
  RegisterPropertyEditor(TypeInfo(TParams), TQuery, 'Params', TQueryParamsProperty);
  RegisterPropertyEditor(TypeInfo(string), TStoredProc, 'StoredProcName', TProcedureNameProperty);
  RegisterPropertyEditor(TypeInfo(TParams), TStoredProc, 'Params', TStoredParamsProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), TTable, 'IndexFiles', TIndexFilesProperty);
  RegisterPropertyEditor(TypeInfo(TDBGridColumns), nil, '', TDBColumnAttributesProperty);
  RegisterComponentEditor(TDataset, TDataSetEditor);
  RegisterComponentEditor(TDatabase, TDatabaseEditor);
  RegisterComponentEditor(TBatchMove, TBatchMoveEditor);
  RegisterComponentEditor(TQuery, TQueryEditor);
  RegisterComponentEditor(TDBImage, TDBImageEditor);
  RegisterComponentEditor(TStoredProc, TStoredProcEditor);
  RegisterComponentEditor(TDBGrid, TDBGridEditor);
  RegisterComponentEditor(TUpdateSQL, TUpdateSQLEditor);
//DBExpt.Register;
  {Win31Reg}
  RegisterComponents(LoadStr(srWin31), [TTabSet, TOutline,
    THeader, TTabbedNotebook, TNotebook]);

  RegisterComponentEditor(TNotebook, TNotebookEditor);
  RegisterComponentEditor(TTabbedNotebook, TTabbedNotebookEditor);

  RegisterPropertyEditor(TypeInfo(string), TNotebook, 'ActivePage', TPageNameProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), TNotebook, 'Pages', TPageListProperty);
  RegisterPropertyEditor(TypeInfo(string), TTabbedNotebook, 'ActivePage', TTabPageNameProperty);
  RegisterPropertyEditor(TypeInfo(TStrings), TTabbedNotebook, 'Pages',    TTabPageListProperty);
  {SysReg}
  RegisterComponents(LoadStr(srDialogs), [TOpenDialog, TSaveDialog, TFontDialog,
    TColorDialog, TPrintDialog, TPrinterSetupDialog, TFindDialog,
    TReplaceDialog]);
  RegisterComponents(LoadStr(srSystem), [TTimer, TPaintBox, TFileListBox,
    TDirectoryListBox, TDriveComboBox, TFilterComboBox, TMediaPlayer]);
  RegisterPropertyEditor(TypeInfo(string), TFilterComboBox, 'Filter', TFilterProperty);
  RegisterPropertyEditor(TypeInfo(string), TOpenDialog, 'Filter', TFilterProperty);
  RegisterPropertyEditor(TypeInfo(string), TMediaPlayer, 'Filename', TMPFilenameProperty);
  {OLEReg}
  RegisterComponents(LoadStr(srSystem), [TOleContainer]);
  RegisterComponentEditor(TOleContainer, TOleContainerEditor);
  {DDEReg}
  RegisterComponents(LoadStr(srSystem),
            [TDdeClientConv, TDdeClientItem, TDdeServerConv, TDdeServerItem]);

  RegisterPropertyEditor(TypeInfo(string), TDdeClientConv, 'DdeService', TDdeLinkInfoProperty);
  RegisterPropertyEditor(TypeInfo(string), TDdeClientConv, 'DdeTopic', TDdeLinkInfoProperty);
  RegisterPropertyEditor(TypeInfo(string), TDdeClientItem, 'DdeItem', TDdeClientItemProperty);
  RegisterComponentEditor(TDdeServerItem, TSrvrItemEdit);
  RegisterComponentEditor(TDdeServerConv, TSrvrConvEdit);
  RegisterComponentEditor(TDdeClientConv, TCliConvEdit);
  {HRepReg}
  RegisterNoIcon( [THRField] );
  RegisterClasses( [THRField] );
  RegisterComponents('HyperReport', [THRPage, THRPageBand, THRGroup, THRGroupBand,
       THRLabel, THRMemo, {$IFDEF WIN32}THRRichMemo,{$ENDIF}
       THRImage, THRBarCode, THRCheckBox,
       THRStringGrid, THROleContainer,
       THRDBText, THRDBMemo, {$IFDEF WIN32}THRDBRichMemo,{$ENDIF}
       THRDBImage, THRDBBarcode, THRDBCheckBox,
       THRDBOleContainer,
       THRCalc, THRSysData, THRLink, THyperReport,
       THRPreview, THRPreviewControl]);

  RegisterPropertyEditor(TypeInfo(THRPageInfo), THRPage, 'PageInfo', THRPageInfoProperty);
  RegisterPropertyEditor(TypeInfo(THRMargineSize), nil, '', THRMargineSizeProperty);
  RegisterPropertyEditor(TypeInfo(THRSelectRect ), nil, '', THRSelectRectProperty);
  RegisterPropertyEditor(TypeInfo(THRGroupStyle), THRGroup, 'GroupStyle', THRGroupStyleProperty);
  RegisterPropertyEditor(TypeInfo(THRLinkInfo), THRLink, 'LinkInfo', THRLinkInfoProperty);

  RegisterComponentEditor(THRPage, THRPageEditor);
  RegisterComponentEditor(THRGroup, THRGroupStyleEditor);
  RegisterComponentEditor(THRLink, THRLinkInfoEditor);
  RegisterComponentEditor(THyperReport, THyperReportEditor);
  RegisterComponentEditor(THRImage, TGraphicEditor);
  RegisterComponentEditor(THRStringGrid, THRStringGridEditor);
  {HLibReg}
  RegisterComponents('', [THLTabbedNotebook, THLObjectInspector, THLIDE]);
  {OCX}
  RegisterComponents('OCX', [TChartFX, TVCFirstImpression, TVCFormulaOne,
       TVCSpeller, TGraphicsServer]);
  {IBReg}
  RegisterComponents(LoadStr(srSamples), [TIBEventAlerter]);
  RegisterPropertyEditor(TypeInfo(TStrings), TIBEventAlerter, 'Events', TIBEventListProperty);
  {SampReg}
  RegisterComponents(LoadStr(srSamples), [TGauge, TColorGrid,
    TSpinButton, TSpinEdit, TDirectoryOutline, TCalendar]);
end;

procedure TSampleIDf.ReadDcrFiles;
begin
  with HLIDE1.ComponentPalette do begin
    ReadDCRFile('hlbutton.dcr');

    ReadDCRFile('stdreg.dcr');
    ReadDCRFile('dbreg.dcr');
    ReadDCRFile('win31reg.dcr');
    ReadDCRFile('sysreg.dcr');
    ReadDCRFile('ddereg.dcr');
    ReadDCRFile('olereg.dcr');
    ReadDCRFile('ddereg.dcr');
    ReadDCRFile('hrepreg.dcr');
    ReadDCRFile('chartfx.dcr');
    ReadDCRFile('vcfimprs.dcr');
    ReadDCRFile('vcfrmla1.dcr');
    ReadDCRFile('vcspell.dcr');
    ReadDCRFile('graphsvr.dcr');
    ReadDCRFile('ibreg.dcr');
    ReadDCRFile('sampreg.dcr');
  end;
end;

{ Create }

procedure TSampleIDf.FormCreate(Sender: TObject);
begin
  try
    ReadDcrFiles;
  finally
    RegComp;
  end;
end;

procedure TSampleIDf.BitBtn1Click(Sender: TObject);
begin
  HLIDE1.Show;
end;

procedure TSampleIDf.BitBtn2Click(Sender: TObject);
begin
  HLIDE1.Hide;
end;

procedure TSampleIDf.Button1Click(Sender: TObject);
begin
  HLIDE1.NewForm;
end;

procedure TSampleIDf.Button2Click(Sender: TObject);
begin
  HLIDE1.OpenForm('SampleU.DFM');
end;

procedure TSampleIDf.Button3Click(Sender: TObject);
begin
  HLIDE1.EditForm(SampleTNf);
end;

procedure TSampleIDf.Button4Click(Sender: TObject);
begin
  SampleTNf.Show;
end;

end.
